Update partner
PATCH
/partners/{id}
const url = 'https://example.com/partners/example';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","phone":"example","vat_no":"example","website":"example","billing_address":"example","billing_email":"example","support_email":"example","support_phone":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/partners/example \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "phone": "example", "vat_no": "example", "website": "example", "billing_address": "example", "billing_email": "example", "support_email": "example", "support_phone": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
Examplegenerated
{ "name": "example", "description": "example", "phone": "example", "vat_no": "example", "website": "example", "billing_address": "example", "billing_email": "example", "support_email": "example", "support_phone": "example"}Responses
Section titled “Responses”Media typeapplication/json
object
id
required
string
name
required
string
billing_address
required
object
Example
{ "billing_address": { "latitude": "NaN", "longitude": "NaN" }}